eoIntNoBounds(3)

NAME
eoIntNoBounds - A default class for unbounded variables.

SYNOPSIS

#include <eoIntBounds.h>

Inherits eoIntBounds.

  Public Member Functions
virtual bool isBounded (void) const
Self-Test: true if ***both*** a min and a max.
virtual bool hasNoBoundAtAll (void) const
Self-Test: true if no min ***and*** no max hence no further need to test/truncate/fold anything.
virtual bool isMinBounded (void) const
Self-Test: bounded from below???
virtual bool isMaxBounded (void) const
Self-Test: bounded from above???
virtual void foldsInBounds (double &) const
Put value back into bounds - by folding back and forth.
virtual void truncate (double &) const
Put value back into bounds - by truncating to a boundary value.
virtual bool isInBounds (double) const
Test on a value: is it in bounds?
virtual long int minimum () const
get minimum value ::exception if does not exist
virtual long int maximum () const
get maximum value ::exception if does not exist
virtual long int range () const
get range ::exception if unbounded
virtual double uniform (eoRng &_rng=eo::rng) const
random generator of uniform numbers in bounds uses same naming convention than eo::rng ::exception if unbounded
virtual long int random (eoRng &_rng=eo::rng) const
virtual void readFrom (std::istream &_is)
Read object.
virtual void printOn (std::ostream &_os) const
Write object.
virtual eoIntBounds * dup () const
for memory managements - ugly

Detailed Description

A default class for unbounded variables.

Definition at line 153 of file eoIntBounds.h.

Member Function Documentation

  virtual void eoIntNoBounds::readFrom (std::istream & _is) [inline, virtual]

Read object.

Parameters:
    _is A std::istream. but reading should not be done here, because of bound problems see eoIntVectorBounds

Implements eoPersistent.

Definition at line 195 of file eoIntBounds.h.

  virtual void eoIntNoBounds::printOn (std::ostream & _os) const [inline, virtual]

Write object.

It's called printOn since it prints the object on a stream.

Parameters:
    _os A std::ostream.

Implements eoPrintable.

Definition at line 204 of file eoIntBounds.h.

Author

Generated automatically by Doxygen for EO from the source code.